# Poco

# class DigestBuf

Library: Foundation
Package: Crypt
Header: Poco/DigestStream.h

## Description

This streambuf computes a digest of all data going through it.

## Inheritance

Direct Base Classes: BufferedStreamBuf

All Base Classes: BufferedStreamBuf

## Member Summary

Member Functions: close, readFromDevice, writeToDevice

## Constructors

### DigestBuf

DigestBuf(
DigestEngine & eng
);

### DigestBuf

DigestBuf(
DigestEngine & eng,
std::istream & istr
);

### DigestBuf

DigestBuf(
DigestEngine & eng,
std::ostream & ostr
);

## Destructor

### ~DigestBuf

~DigestBuf();

## Member Functions

### close

void close();

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);